<?php
namespace REDO\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if ( ! defined( 'ABSPATH' ) ) exit;

class Slider extends Widget_Base {

   public function get_name() {
      return 'slider';
   }

   public function get_title() {
      return __( 'Slider' );
   }

   public function get_icon() {
      return 'fa fa-eye';
   }

   public function get_categories(){
      return ['general'];
   }
   protected function _register_controls() {
      $this->start_controls_section(
         'section_content',
         [
           'label' => 'Settings',
         ]
       );
       $this->add_control(
         'slider',
         [
           'label' => 'Slider',
           'type' => \Elementor\Controls_Manager::HEADING,
           'default' => 'Display references'
         ]
       );

   
       $this->end_controls_section();
     }
     
   
     protected function render(){
      
      $args = array(
         'post_type' => 'opinia',
         'posts_per_page' => -1,
         'orderby' => 'date'
     );
     $query = new \WP_Query($args);
     $opinie = ($query->posts);
?>

         <!-- HTML DESIGN HERE -->
         <div class="opinia-container">
                <h2 class="opinia-container-tytul">Opinie</h2>
                <div class="owl-carousel owl-theme">
                <?php foreach($opinie as $op) : ?>
									<div class="item">
                                            <div class="opinia-header">
                                                <div class="opinia-image-container">
                                                    <img src="<?php echo get_the_post_thumbnail_url($op->ID) ?>"/>
                                                </div>
                                                <div class="opinia-nazwa-container">
                                                <h4><?php echo get_the_title($op->ID); ?></h4>
                                                <p><?php echo get_the_excerpt($op->ID); ?></p>
                                                </div>
                                            </div>
                                            <div class="opinia-content-container">
                                                <?php echo $op->post_content; ?>
                                            </div>
									</div>
								<?php endforeach ?>
                </div>
            </div>
         <!-- HTML END DESIGN HERE -->
       <?php
     }
   
   }
